#include <bits/stdc++.h>

using namespace std;
int T,N[10],K[10],nj=0;
long long M[10];

int main()
{
    ios::sync_with_stdio(0);cin.tie(0);cout.tie(0);cerr.tie(0);
   scanf("%d",&T);
   for(int j=0;j<T;j++){
       scanf("%d%lld%d",&N[j],&M[j],&K[j]);
       if(nj<N[j])nj=N[j];
   }

   for(int j=0;j<T;j++){
        if((N[j]/K[j]/2)*((N[j]/K[j])+1)>((M[j]-(N[j]%K[j])/2*(N[j]%K[j]+1))/K[j]))cout<<"Nie"<<endl;
        else cout<<"Tak"<<endl;
   }
}